import { BeanStub } from "ag-grid-community";
export type ChartTranslationKey = keyof typeof ChartTranslationService.DEFAULT_TRANSLATIONS;
export declare class ChartTranslationService extends BeanStub {
    static readonly DEFAULT_TRANSLATIONS: {
        pivotChartTitle: string;
        rangeChartTitle: string;
        settings: string;
        data: string;
        format: string;
        categories: string;
        defaultCategory: string;
        series: string;
        switchCategorySeries: string;
        categoryValues: string;
        seriesLabels: string;
        aggregate: string;
        xyValues: string;
        paired: string;
        axis: string;
        xAxis: string;
        yAxis: string;
        polarAxis: string;
        radiusAxis: string;
        navigator: string;
        zoom: string;
        animation: string;
        crosshair: string;
        color: string;
        thickness: string;
        preferredLength: string;
        xType: string;
        axisType: string;
        automatic: string;
        category: string;
        number: string;
        time: string;
        timeFormat: string;
        autoRotate: string;
        labelRotation: string;
        circle: string;
        orientation: string;
        polygon: string;
        fixed: string;
        parallel: string;
        perpendicular: string;
        radiusAxisPosition: string;
        ticks: string;
        gridLines: string;
        width: string;
        height: string;
        length: string;
        padding: string;
        spacing: string;
        chart: string;
        title: string;
        titlePlaceholder: string;
        background: string;
        font: string;
        top: string;
        right: string;
        bottom: string;
        left: string;
        labels: string;
        calloutLabels: string;
        sectorLabels: string;
        positionRatio: string;
        size: string;
        shape: string;
        minSize: string;
        maxSize: string;
        legend: string;
        position: string;
        markerSize: string;
        markerStroke: string;
        markerPadding: string;
        itemSpacing: string;
        itemPaddingX: string;
        itemPaddingY: string;
        layoutHorizontalSpacing: string;
        layoutVerticalSpacing: string;
        strokeWidth: string;
        offset: string;
        offsets: string;
        tooltips: string;
        callout: string;
        markers: string;
        shadow: string;
        blur: string;
        xOffset: string;
        yOffset: string;
        lineWidth: string;
        lineDash: string;
        lineDashOffset: string;
        scrollingZoom: string;
        scrollingStep: string;
        selectingZoom: string;
        durationMillis: string;
        crosshairLabel: string;
        crosshairSnap: string;
        normal: string;
        bold: string;
        italic: string;
        boldItalic: string;
        predefined: string;
        fillOpacity: string;
        strokeColor: string;
        strokeOpacity: string;
        miniChart: string;
        histogramBinCount: string;
        connectorLine: string;
        seriesItems: string;
        seriesItemType: string;
        seriesItemPositive: string;
        seriesItemNegative: string;
        seriesItemLabels: string;
        columnGroup: string;
        barGroup: string;
        pieGroup: string;
        lineGroup: string;
        scatterGroup: string;
        areaGroup: string;
        polarGroup: string;
        statisticalGroup: string;
        hierarchicalGroup: string;
        specializedGroup: string;
        combinationGroup: string;
        groupedColumnTooltip: string;
        stackedColumnTooltip: string;
        normalizedColumnTooltip: string;
        groupedBarTooltip: string;
        stackedBarTooltip: string;
        normalizedBarTooltip: string;
        pieTooltip: string;
        donutTooltip: string;
        lineTooltip: string;
        groupedAreaTooltip: string;
        stackedAreaTooltip: string;
        normalizedAreaTooltip: string;
        scatterTooltip: string;
        bubbleTooltip: string;
        histogramTooltip: string;
        radialColumnTooltip: string;
        radialBarTooltip: string;
        radarLineTooltip: string;
        radarAreaTooltip: string;
        nightingaleTooltip: string;
        rangeBarTooltip: string;
        rangeAreaTooltip: string;
        boxPlotTooltip: string;
        treemapTooltip: string;
        sunburstTooltip: string;
        heatmapTooltip: string;
        waterfallTooltip: string;
        columnLineComboTooltip: string;
        areaColumnComboTooltip: string;
        customComboTooltip: string;
        innerRadius: string;
        startAngle: string;
        endAngle: string;
        reverseDirection: string;
        groupPadding: string;
        seriesPadding: string;
        group: string;
        tile: string;
        whisker: string;
        cap: string;
        capLengthRatio: string;
        labelPlacement: string;
        inside: string;
        outside: string;
        noDataToChart: string;
        pivotChartRequiresPivotMode: string;
        chartSettingsToolbarTooltip: string;
        chartLinkToolbarTooltip: string;
        chartUnlinkToolbarTooltip: string;
        chartDownloadToolbarTooltip: string;
        chartMenuToolbarTooltip: string;
        chartEdit: string;
        chartAdvancedSettings: string;
        chartLink: string;
        chartUnlink: string;
        chartDownload: string;
        histogramFrequency: string;
        seriesChartType: string;
        seriesType: string;
        secondaryAxis: string;
        seriesAdd: string;
        categoryAdd: string;
        area: string;
        bar: string;
        column: string;
        line: string;
        scatter: string;
        histogram: string;
        radialColumn: string;
        radialBar: string;
        radarLine: string;
        radarArea: string;
        nightingale: string;
        rangeBar: string;
        rangeArea: string;
        treemap: string;
        sunburst: string;
        waterfall: string;
        boxPlot: string;
        pie: string;
        donut: string;
        stackedArea: string;
        groupedColumn: string;
        stackedColumn: string;
        advancedSettings: string;
        ariaChartMenuClose: string;
        timeFormatSlashesDDMMYYYY: string;
        timeFormatSlashesMMDDYYYY: string;
        timeFormatSlashesDDMMYY: string;
        timeFormatSlashesMMDDYY: string;
        timeFormatDotsDDMYY: string;
        timeFormatDotsMDDYY: string;
        timeFormatDashesYYYYMMDD: string;
        timeFormatSpacesDDMMMMYYYY: string;
        timeFormatHHMMSS: string;
        timeFormatHHMMSSAmPm: string;
        sum: string;
        first: string;
        last: string;
        min: string;
        max: string;
        count: string;
        avg: string;
    };
    translate(toTranslate: ChartTranslationKey): string;
}
