import { BeanStub, CellPositionUtils, IClipboardCopyParams, IClipboardCopyRowsParams, IClipboardService, RowPositionUtils, CtrlsService } from "ag-grid-community";
export declare class ClipboardService extends BeanStub implements IClipboardService {
    private csvCreator;
    private loggerFactory;
    private selectionService;
    private rangeService;
    private rowModel;
    ctrlsService: CtrlsService;
    private valueService;
    private focusService;
    private rowRenderer;
    private columnModel;
    private cellNavigationService;
    cellPositionUtils: CellPositionUtils;
    rowPositionUtils: RowPositionUtils;
    private valueFormatterService;
    private valueParserService;
    private clientSideRowModel;
    private logger;
    private gridCtrl;
    private lastPasteOperationTime;
    private navigatorApiFailed;
    private init;
    pasteFromClipboard(): void;
    private pasteFromClipboardLegacy;
    private refocusLastFocusedCell;
    private getClipboardDelimiter;
    private processClipboardData;
    static stringToArray(strData: string, delimiter?: string): string[][];
    private doPasteOperation;
    private pasteIntoActiveRange;
    private pasteStartingFromFocusedCell;
    private isPasteSingleValueIntoRange;
    private pasteSingleValueIntoRange;
    private hasOnlyOneValueToPaste;
    copyRangeDown(): void;
    private removeLastLineIfBlank;
    private fireRowChanged;
    private pasteMultipleValues;
    private updateCellValue;
    copyToClipboard(params?: IClipboardCopyParams): void;
    cutToClipboard(params?: IClipboardCopyParams, source?: 'api' | 'ui' | 'contextMenu'): void;
    private copyOrCutToClipboard;
    private clearCellsAfterCopy;
    private clearSelectedRows;
    private clearCellValue;
    private shouldSkipSingleCellRange;
    private iterateActiveRanges;
    private iterateActiveRange;
    copySelectedRangeToClipboard(params?: IClipboardCopyParams): void;
    private buildDataFromMergedRanges;
    private buildDataFromRanges;
    private getRangeRowPositionsAndCellsToFlash;
    private getCellsToFlashFromRowNodes;
    private copyFocusedCellToClipboard;
    copySelectedRowsToClipboard(params?: IClipboardCopyRowsParams): void;
    private buildExportParams;
    private processRowGroupCallback;
    private dispatchFlashCells;
    private processCell;
    private copyDataToClipboard;
    private copyDataToClipboardLegacy;
    private executeOnTempElement;
    private getRangeSize;
}
